{$type_parameters['params']['php_tpl']}
<div class="aa-popup__row">
    <div class="aa-popup__key">
        {if $type_parameters['params']['required']}
            <span class="aa-popup__param-required-star" title="<?=$lang['required_field']?>">*</span>
        {/if}
        <span><?=$lang['conf']['{$type_parameters.name}']?:'{$type_parameters.name}'?></span>
    </div>
    <div class="aa-popup__val">
        <span{if $is_link} class="default-link{if $type_parameters['params']['required']} aa-popup__required-param{/if}"
          id="view_{$field_id}"{/if}>{$default_value}</span>
        <input name="parameters[<?=$key?>][{$type_parameters['name']}]" type="hidden" value="{if $raw_value}{$raw_value}{else}{$default_value}{/if}">
    </div>
</div>
{if $is_link}
<script>
    // Замена номера значения поля на его название
    (function() {
        var url = 'select_value.php?table={$table_id}&field={$field_id}&value={$default_value}';
        $.ajax({
            url: url,
            success: function (xhr) {
                if (xhr) {
                    var field = $('#view_{$field_id}');
                    var val = parseInt(field.text()); // Преобразуем текст в число
                    var data = JSON.parse(xhr); // Преобразуем JSON-строку в объект JavaScript

                    data.forEach(function(item) {
                        if (parseInt(item.value) === val) { // Убедитесь, что оба значения имеют тип Number
                            field.text(item.result);
                            field.css('display', ''); // Показываем элемент
                        }
                    });
                }
            }
        });
    })();
</script>
{/if}
